package ingame

import (
	"f5"
	v1 "main/api/v1"
)

type IngameRouter struct{}

func (this *IngameRouter) InitRouter() {
	api := v1.ApiGroupApp.InGameApiGroup
	f5.GetApp().GetGinEngine().POST("/api/ingame/preorder",
		api.InGameApi.PreOrder)
	f5.GetApp().GetGinEngine().POST("/api/ingame/orderinfo",
		api.InGameApi.OrderInfo)
	f5.GetApp().GetGinEngine().POST("/api/ingame/otherorder",
		api.InGameApi.OtherOrder)
	f5.GetApp().GetGinEngine().GET("/api/ingame/spreorder",
		api.InGameApi.ServerPreOrder)
	f5.GetApp().GetGinEngine().GET("/api/ingame/paid",
		api.InGameApi.PayDone)
	f5.GetApp().GetGinEngine().POST("/api/ingame/sprepurchase",
		api.InGameApi.ServerPrePurchase)
	f5.GetApp().GetGinEngine().POST("/api/ingame/prepay",
		api.InGameApi.PreOrder)
	f5.GetApp().GetGinEngine().POST("/api/ingame/querypay",
		api.InGameApi.QueryPay)
}
